From 89fd09b66bf59d2af1a20b59e8fb860f8bb1f7c7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 31 2020 22:51:12 +0000
Subject: [PATCH 1919/2232] Emit lifetime parameters in ToTokens of Type


---

diff --git a/syntax/tokens.rs b/syntax/tokens.rs
index 19e361f..1c7c5bc 100644
--- a/syntax/tokens.rs
+++ b/syntax/tokens.rs
@@ -18,7 +18,7 @@ impl ToTokens for Type {
                     let span = ident.rust.span();
                     tokens.extend(quote_spanned!(span=> ::cxx::));
                 }
-                ident.rust.to_tokens(tokens);
+                ident.to_tokens(tokens);
             }
             Type::RustBox(ty)
             | Type::UniquePtr(ty)

